#include<iostream>
using namespace std;
int main () {
	ios_base::sync_with_stdio(false);
	int N, K, d;
	cin>>N>>K;
	int p[N];
	for(int i=0; i<N; i++) {
		cin>>p[i];
		if(K==p[i]) d=i;
	}
	if(d==N-1) cout<<p[0];
	else cout<<p[d+1];

return 0;
}